View Issue Details

IDProjectCategoryView StatusLast Update
0002316FreeCADFeaturepublic2018-06-07 01:29
Reporternikospap Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.18 
Summary0002316: option for "random shape color" by default
DescriptionRequest for a option that sets any new shapes color to "random".

I think it is easier for the eye, to tell the different parts, when you create something.

(see attachment)
Tags#post-to-forum, colors, UI
FreeCAD Information

Relationships

related to 0002725 closedwmayer PartDesign Random color for features in PartDesignNext 

Activities

nikospap

2015-10-29 21:07

reporter  

random_shape_color_by_default.jpg (Attachment missing)

Kunda1

2018-01-13 16:44

administrator   ~0010756

@nikospap do you have the attached image laying around anywhere? It's not showing in this ticket anymore.

nikospap

2018-01-14 13:26

reporter   ~0010761

Found it!

Kunda1

2018-01-14 13:36

administrator   ~0010762

@nikospap sweet! do you mind posting this Feature Request to the forum and then linking this ticket to said post as well as linking back to this ticket via said forum thread? This generates discussion and possibility it will be incorporated (though probably after 0.17 release)

nikospap

2018-01-21 13:20

reporter   ~0010805

See, also, forum thread " option for "random shape color" by default (request) ".

Kunda1

2018-05-31 00:07

administrator   ~0011319

@nikospap this has been implemented in 0.18dev
See:
https://github.com/FreeCAD/FreeCAD/pull/1339
https://forum.freecadweb.org/viewtopic.php?t=23715

Issue History

Date Modified Username Field Change
2015-10-29 21:07 nikospap New Issue
2015-10-29 21:07 nikospap File Added: random_shape_color_by_default.jpg
2018-01-13 16:44 Kunda1 Note Added: 0010756
2018-01-14 13:26 nikospap File Added: random_shape_color_by_default-2.jpg
2018-01-14 13:26 nikospap Note Added: 0010761
2018-01-14 13:29 Kunda1 Tag Attached: colors
2018-01-14 13:36 Kunda1 Note Added: 0010762
2018-01-14 13:39 Kunda1 Tag Attached: UI
2018-01-14 13:40 Kunda1 Tag Attached: #post-to-forum
2018-01-21 13:20 nikospap Note Added: 0010805
2018-05-31 00:07 Kunda1 Status new => resolved
2018-05-31 00:07 Kunda1 Resolution open => fixed
2018-05-31 00:07 Kunda1 Fixed in Version => 0.18
2018-05-31 00:07 Kunda1 Note Added: 0011319
2018-05-31 08:18 wmayer Status resolved => closed
2018-06-07 01:29 Kunda1 Relationship added related to 0002725